- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TAPCCache
TApplicationStateCacheDependency
TCache
TCacheDependency
TCacheDependencyList
TChainedCacheDependency
TDbCache
TDirectoryCacheDependency
TFileCacheDependency
TGlobalStateCacheDependency
TMemCache
TSqliteCache
TXCache

Keyword

# Class TChainedCacheDependency

    TComponent
       |
       --TCacheDependency
          |
          --TChainedCacheDependency

TChainedCacheDependency class.

TChainedCacheDependency represents a list of cache dependency objects and performs the dependency checking based on the checking results of these objects. If any of them reports a dependency change, TChainedCacheDependency will return true for the checking.

To add dependencies to TChainedCacheDependency, use Dependencies which gives a TCacheDependencyList instance and can be used like an array (see TList for more details}).

Since: 3.1.0
Author: Qiang Xue <qiang.xue@gmail.com>

Method Summary
TCacheDependencyList | getDependencies ()
boolean | getHasChanged () Performs the actual dependency checking.

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Method Details

## getDependencies

public TCacheDependencyList getDependencies | ()

Output
TCacheDependencyList | list of dependency objects
Exception

## getHasChanged

public boolean getHasChanged | ()

Performs the actual dependency checking.

This method returns true if any of the dependency objects reports a dependency change.

Output
boolean | whether the dependency is changed or not.
Exception